Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class DLANGT

    java.lang.Object
      org.netlib.lapack.DLANGT

    public class DLANGT

extends java.lang.Object

    DLANGT is a simplified interface to the JLAPACK routine dlangt.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DLANGT  returns the value of the one norm,  or the Frobenius norm, or
     *  the  infinity norm,  or the  element of  largest absolute value  of a
     *  real tridiagonal matrix A.
     *
     *  Description
     *  ===========
     *
     *  DLANGT returns the value
     *
     *     DLANGT = ( max(abs(A(i,j))), NORM = 'M' or 'm'
     *              (
     *              ( norm1(A),         NORM = '1', 'O' or 'o'
     *              (
     *              ( normI(A),         NORM = 'I' or 'i'
     *              (
     *              ( normF(A),         NORM = 'F', 'f', 'E' or 'e'
     *
     *  where  norm1  denotes the  one norm of a matrix (maximum column sum),
     *  normI  denotes the  infinity norm  of a matrix  (maximum row sum) and
     *  normF  denotes the  Frobenius norm of a matrix (square root of sum of
     *  squares).  Note that  max(abs(A(i,j)))  is not a consistent matrix no
     *
     *  Arguments
     *  =========
     *
     *  NORM    (input) CHARACTER*1
     *          Specifies the value to be returned in DLANGT as described
     *          above.
     *
     *  N       (input) INTEGER
     *          The order of the matrix A.  N >= 0.  When N = 0, DLANGT is
     *          set to zero.
     *
     *  DL      (input) DOUBLE PRECISION array, dimension (N-1)
     *          The (n-1) sub-diagonal elements of A.
     *
     *  D       (input) DOUBLE PRECISION array, dimension (N)
     *          The diagonal elements of A.
     *
     *  DU      (input) DOUBLE PRECISION array, dimension (N-1)
     *          The (n-1) super-diagonal elements of A.
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`DLANGT()`

Method Summary
`static double` | `DLANGT(java.lang.String norm, int n, double[] dl, double[] d, double[] du)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DLANGT

    public DLANGT()

Method Detail

### DLANGT

    public static double DLANGT(java.lang.String norm,
                                int n,
                                double[] dl,
                                double[] d,
                                double[] du)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD